Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005476TestLinkTest Specificationpublic2013-01-16 12:202013-05-26 18:51
Reportertomcd 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bit WinOSWindowsOS VersionWin 7 SP1
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005476: Direct link to testcase where TC ID prefix contains an '&' (the ampersand symbol), does not link
DescriptionIf I create a test case where the test case ID prefix contains an '&' symbol, e.g. "S&BX-" with a testcase ID is "S&BX-8:Testing & in test case link"

I then click on the 'globe' symbol to expose the test case link. In this example it would be "http://www2.mycompany.com/testlinksite/linkto.php?tprojectPrefix=S%26BX&item=testcase&id=S%26BX-8" [^]
I then copy that test case link in to another browser tab and I get an error "Testproject with prefix (S) does not exist".

As you can see from the link the test case ID prefix of S&BX is escaped to "S%26BX", 26 appears to be the hex ascii code for an '&' so the escaping is substituting correctly, but the browsers don't seem to be able to interpret it.

Tested in all major PC browsers
Steps To Reproduce-Create a test case using the assigned prefix
-Select the test case from the left navigation tree view
-In the right pane click the world icon to expose the direct link to the test -case.
-Right click on exposed link and select open in new tab (firefox behaviour)
-Switch to new browser tab.

Expected result: Test case opens correctly in Testlink
Actual result: Testlink shows the error message "Testproject with prefix (S) does not exist", where 'S' is the char before the '&' in the testcase prefix.
Additional InformationTested in browsers:
Firefox: 18
Chrome: 24
safari: 5.1.7
IE: 9
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.??
BrowserFirefox: 18 ,Chrome: 24, safari: 5.1.7, IE: 9
PHP Version5.0.??
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018176)
fman (administrator)
2013-01-16 16:35

need to urlencode all info
(0018194)
fman (administrator)
2013-01-19 17:46
edited on: 2013-01-19 17:56

Forgot previous note, issue found, was missing use or urlencode()
when regenerating URL, from info got on call

Please use commit and let us know

http://gitorious.org/testlink-ga/testlink-code/commit/cc59dd9569ea746c661bd1cabf8ff565d7df4d8b [^]

(fix consists just in adding urlencode() on test project prefix, and on item id


- Issue History
Date Modified Username Field Change
2013-01-16 12:20 tomcd New Issue
2013-01-16 16:35 fman Note Added: 0018176
2013-01-16 16:35 fman Assigned To => fman
2013-01-16 16:35 fman Status new => assigned
2013-01-19 17:46 fman Note Added: 0018194
2013-01-19 17:55 fman Note Edited: 0018194 View Revisions
2013-01-19 17:56 fman Note Edited: 0018194 View Revisions
2013-01-19 17:57 fman Relationship added child of 0005406
2013-01-19 17:57 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-01-19 17:57 fman Status assigned => resolved
2013-01-19 17:57 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-01-19 17:57 fman Resolution open => fixed
2013-05-26 18:51 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker